"use strict";
const common_vendor = require("../../common/vendor.js");
Page({
  onLoad() {
  },
  data: {},
  getAuthCode: () => {
    my.getAuthCode({
      scopes: "auth_user",
      success: ({ authCode }) => {
        console.log(`authCode:`, authCode);
        my.alert({
          content: authCode
        });
      }
    });
  },
  myrequest: () => {
    my.getAuthCode({
      scopes: "auth_user",
      success: ({ authCode }) => {
        console.log(`authCode:`, authCode);
        my.request({
          url: "http://localhost:9999/api/user/login/alipay",
          method: "GET",
          data: {
            authCode
          },
          header: {
            "content-type": "application/json"
          },
          success: function(res) {
            console.log(res);
            my.alert({
              content: res
            });
          }
        });
      }
    });
  }
});
const _sfc_main = {};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {};
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "D:/111111000000/uniapp04/pages/run/run.vue"]]);
my.createPage(MiniProgramPage);
